Update a resume
curl --request PATCH "https://rxresu.me/api/openapi/resumes/<id>/metadata" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{}'{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"tags": [
"<string>"
],
"isPublic": true,
"showDownloadButtons": true,
"showInSearchEngines": true,
"hideContactDetails": true,
"isPrimary": true,
"isLocked": true,
"data": {
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 32,
"rotation": 0,
"aspectRatio": 0.5,
"borderRadius": 0,
"borderColor": "<string>",
"borderWidth": 0,
"shadowColor": "<string>",
"shadowWidth": 0
},
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"summary": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"content": "<string>"
},
"sections": {
"profiles": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"network": "<string>",
"username": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
}
}
]
},
"experience": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"company": "<string>",
"position": "<string>",
"location": "<string>",
"period": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"roles": [
{
"id": "<string>",
"position": "<string>",
"period": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"description": "<string>"
}
]
}
]
},
"education": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"school": "<string>",
"degree": "<string>",
"area": "<string>",
"grade": "<string>",
"location": "<string>",
"period": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"projects": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"period": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"skills": null,
"languages": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"language": "<string>",
"fluency": "<string>",
"level": 0
}
]
},
"interests": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"name": "<string>",
"keywords": [
"<string>"
]
}
]
},
"awards": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"awarder": "<string>",
"date": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"certifications": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"issuer": "<string>",
"date": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"publications": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"publisher": "<string>",
"date": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"volunteer": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"organization": "<string>",
"location": "<string>",
"period": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
},
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>"
}
]
},
"references": {
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"position": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"phone": "<string>",
"description": "<string>"
}
]
}
},
"customSections": [
{
"title": "<string>",
"icon": "<string>",
"columns": 1,
"hidden": true,
"showHeading": true,
"keepTogether": true,
"startOnNewPage": true,
"keywordLayout": null,
"id": "<string>",
"type": "cover-letter",
"items": [
{
"id": "<string>",
"hidden": true,
"recipient": "<string>",
"content": "<string>"
}
]
}
],
"metadata": {
"template": "azurill",
"layout": {
"sidebarWidth": 10,
"sidebarSide": "left",
"pages": [
{
"fullWidth": true,
"main": [
"<string>"
],
"sidebar": [
"<string>"
]
}
]
},
"page": {
"gapX": 0,
"gapY": 0,
"marginX": 0,
"marginY": 0,
"format": "a4",
"locale": "<string>",
"dateFormat": "short",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
},
"entry": {
"layout": "stacked",
"lead": "organization",
"accent": "none"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 6,
"lineHeight": 0.5
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 6,
"lineHeight": 0.5
},
"hyphenation": true
},
"notes": "<string>",
"styleRules": null,
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": -9007199254740991,
"text": "<string>"
}
},
"web": {
"showCredit": true
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
}
},
"createdAt": "2026-08-10T12:00:00Z",
"updatedAt": "2026-08-10T12:00:00Z",
"hasPassword": true
}{
"defined": true,
"code": "RESUME_SLUG_ALREADY_EXISTS",
"status": 400,
"message": "A resume with this slug already exists.",
"data": null
}{
"defined": true,
"code": "RESUME_LOCKED",
"status": 403,
"message": "Unlock the resume first.",
"data": null
}{
"defined": true,
"code": "RESUME_VERSION_CONFLICT",
"status": 409,
"message": "The resume changed after this patch was generated. Read the resume again and regenerate the patch.",
"data": null
}{
"defined": true,
"code": "<string>",
"status": 1,
"message": "<string>",
"data": null
}Authorization
2 alternative authorization methods available — see the spec for details.
Path parameters
Body
application/jsonShow child attributesHide child attributes
Show child attributesHide child attributes
Default: "cover"
covercontainRange: 32–512
Range: 0–360
Range: 0.5–2.5
Range: 0–100
Range: >= 0
Range: >= 0
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: ""
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Default: []
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: ""
Default: 0
Range: 0–5
Default: []
Default: "inline"
inlinelistDefault: "default"
defaultinlineShow child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: 0
Range: 0–5
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: ""
Default: []
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Default: null
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Default: ""
Default: true
Default: false
Show child attributesHide child attributes
Default: {"url":"","label":"","inlineLink":false}
Show child attributesHide child attributes
Default: false
Show child attributesHide child attributes
Show child attributesHide child attributes
Default: "onyx"
azurillbronzorchikoritaditgardittogengarglaliekakunalaprasleafishmeowthonyxpersianpikachuporygonrhyhornscizorsmeargleShow child attributesHide child attributes
Default: 35
Range: 10–50
leftrightShow child attributesHide child attributes
Show child attributesHide child attributes
Range: >= 0
Range: >= 0
Default: 14
Range: 0–100
Default: 12
Range: 0–100
Default: "a4"
a4letterfree-formDefault: "en-US"
shortlongnumericisoDefault: false
Default: true
Show child attributesHide child attributes
Show child attributesHide child attributes
hiddencirclesquarerectanglerectangle-fullprogress-bariconShow child attributesHide child attributes
Show child attributesHide child attributes
Default: "stacked"
stackedinlinecompactdate-columneyebrowDefault: "organization"
organizationroleDefault: "none"
nonerulebarbandShow child attributesHide child attributes
Show child attributesHide child attributes
Default: ["400"]
Default: 1.5
Range: 0.5–4
Show child attributesHide child attributes
Default: ["400"]
Default: 1.5
Range: 0.5–4
Show child attributesHide child attributes
Default: true
Length: max 64
Responses
Show child attributesHide child attributes
Show child attributesHide child attributes
covercontainRange: 32–512
Range: 0–360
Range: 0.5–2.5
Range: 0–100
Range: >= 0
Range: >= 0
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Range: 0–5
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
dates on every save; write dates instead.period or date), which is kept in sync from them.Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
Show child attributesHide child attributes
azurillbronzorchikoritaditgardittogengarglaliekakunalaprasleafishmeowthonyxpersianpikachuporygonrhyhornscizorsmeargleShow child attributesHide child attributes
Range: 10–50
leftrightShow child attributesHide child attributes
Show child attributesHide child attributes
Range: >= 0
Range: >= 0
a4letterfree-formshortlongnumericisoShow child attributesHide child attributes
Show child attributesHide child attributes
hiddencirclesquarerectanglerectangle-fullprogress-bariconShow child attributesHide child attributes
Show child attributesHide child attributes
stackedinlinecompactdate-columneyebroworganizationrolenonerulebarbandShow child attributesHide child attributes
Show child attributesHide child attributes
Range: 0.5–4
Show child attributesHide child attributes
Range: 0.5–4